#ifndef ALARM_HISTORY_TREE_H
#define ALARM_HISTORY_TREE_H

#include "filter.h"
#include <QTreeView>
#include <QObject>
#include <QTreeView>
#include <QSqlDatabase>

class MySqlModel;
class CuData;

class AlarmHistoryTree : public QTreeView
{
	Q_OBJECT
	public:
		AlarmHistoryTree(QWidget* parent);
		void executeQuery(QString &q);
        enum columns { DATET, NAME, STATUS };
		void applyFilter(AlarmFilter f);
		void removeFilter();
        QAbstractItemModel * model() const;

public slots:
        void onFilterNameChanged(const QString& f);
        void onDbParamsReady(const CuData& p);

	protected:

	protected slots:
		//void updateView(QString &);
	private:
		QSqlDatabase db;
        MySqlModel *m_sql_model;
		bool _filter_enabled;
};





#endif


